## org.apache.fop.layout
Class AreaTree

    java.lang.Object
      |
      +--org.apache.fop.layout.AreaTree

public class AreaTree
extends java.lang.Object

Constructor Summary
`AreaTree()`

Method Summary
`void` `addExtension(ExtensionObj obj)`
`void` `addPage(Page page)`
`java.util.Vector` `getExtensions()`
`FontInfo` `getFontInfo()`
`IDReferences` `getIDReferences()`
`java.util.Vector` `getPages()`
`void` `setFontInfo(FontInfo fontInfo)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AreaTree

    public AreaTree()

Method Detail

### setFontInfo

    public void setFontInfo(FontInfo fontInfo)

### getFontInfo

    public FontInfo getFontInfo()

### addPage

    public void addPage(Page page)

### getPages

    public java.util.Vector getPages()

### getIDReferences

    public IDReferences getIDReferences()

### addExtension

    public void addExtension(ExtensionObj obj)

### getExtensions

    public java.util.Vector getExtensions()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.